Name:		feff
Version:	1.9.1
Release:	%mkrel 3
Source0:	http://qt-apps.org/CONTENT/content-files/140298-feff_source.tar.gz
Source1:	feff.png
Summary:	Qt front-end for FFmpeg
License:	GPLv3
Group:		Video/Utilities
Url:		http://qt-apps.org/content/show.php/Feff?content=140298

BuildRequires:	qt4-devel
BuildRequires:	imagemagick
Requires:	qt4-common
Requires:	ffmpeg

%description
Qt4 Front-end for FFmpeg

%prep
%setup -q -n feff_source

%build
%qmake_qt4
%make

%install
mkdir -p %{buildroot}%{_bindir}
install -D -m 755 Bin/%name \
	"%{buildroot}%{_bindir}/%name"

# Add translation files
mkdir -p %{buildroot}%{_datadir}/%{name}
cp Bin/*.qm %{buildroot}%{_datadir}/%{name}/

# Create menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=Feff
GenericName=FFmpeg front-end
Comment=FFmpeg front-end
Exec=feff
Icon=/usr/share/icons/feff.png
Path=/usr/bin/feff
Terminal=false
Type=Application
StartupNotify=true
Categories=Audio;Video;KDE;X-Mageia-CrossDesktop;
EOF

# Add menu icon
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
install -D -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16x16 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 48x48 %{SOURCE1} %{buildroot}%{_liconsdir}/%{name}.png

%files
%{_bindir}/%name
%{_datadir}/%{name}/*.qm
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog

* Mon Jan 21 2013 barjac <barjac> 1.9.1-3.mga3
+ Revision: 390609
- update group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 obgr_seneca <obgr_seneca> 1.9.1-1.mga3
+ Revision: 269378
- cleaned spec file

  + dglent <dglent>
    - New version 1.9.1
    - Add a png icon
    - imported package feff

